Skip to content

Create Task google/imagen-4-ultra

POST https://www.kkiai.com/replicate/v1/models/google/imagen-4-ultra/predictions

Official documentation: https://replicate.com/google/imagen-4-ultra

Request Parameters

Authorization

Add the Authorization parameter to the Header. Its value is the Token concatenated after Bearer.

Example: Authorization: Bearer ********************

Header Parameters

ParameterTypeRequiredDescriptionExample
AuthorizationstringOptionalBearer {{YOUR_API_KEY}}

Body Parameters (application/json)

ParameterTypeRequiredDescription
inputobjectOptional
  └ promptstringRequiredText prompt for image generation.
  └ aspect_ratiostringOptionalAspect ratio of the generated image. Default value: "1:1".
  └ output_formatstringOptionalFormat of the output image. Default value: "jpg"
  └ safety_filter_levelstringOptionalblock_low_and_above is the strictest, block_medium_and_above will block some prompts, block_only_high is the most lenient, but some prompts will still be blocked. Default value: "block_only_high"

Request Example

json
{
    "input": {
      "prompt": "The photo: Create a cinematic, photorealistic medium shot capturing the nostalgic warmth of a mid-2000s indie film. The focus is a young woman with a sleek, straight bob haircut in cool platinum white with freckled skin, looking directly and intently into the camera lens with a knowing smirk, her head is looking up slightly. She wears an oversized band t-shirt that says \"Imagen 4 Ultra on Replicate\" in huge stylized text over a long-sleeved striped top and simple silver stud earrings. The lighting is soft, golden hour sunlight creating lens flare and illuminating dust motes in the air. The background shows a blurred outdoor urban setting with graffiti-covered walls (the graffiti says \"ultra\" in stylized graffiti lettering), rendered with a shallow depth of field. Natural film grain, a warm, slightly muted color palette, and sharp focus on her expressive eyes enhance the intimate, authentic feel",
      "aspect_ratio": "16:9",
      "output_format": "jpg",
      "safety_filter_level": "block_only_high"
    }
  }

cURL Example

bash
curl --location --request POST 'https://www.kkiai.com/replicate/v1/models/google/imagen-4-ultra/predictions' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "input": {
      "prompt": "The photo: Create a cinematic, photorealistic medium shot capturing the nostalgic warmth of a mid-2000s indie film. The focus is a young woman with a sleek, straight bob haircut in cool platinum white with freckled skin, looking directly and intently into the camera lens with a knowing smirk, her head is looking up slightly. She wears an oversized band t-shirt that says \"Imagen 4 Ultra on Replicate\" in huge stylized text over a long-sleeved striped top and simple silver stud earrings. The lighting is soft, golden hour sunlight creating lens flare and illuminating dust motes in the air. The background shows a blurred outdoor urban setting with graffiti-covered walls (the graffiti says \"ultra\" in stylized graffiti lettering), rendered with a shallow depth of field. Natural film grain, a warm, slightly muted color palette, and sharp focus on her expressive eyes enhance the intimate, authentic feel",
      "aspect_ratio": "16:9",
      "output_format": "jpg",
      "safety_filter_level": "block_only_high"
    }
  }'

Response

🟢 200 Success

Response Body

ParameterTypeRequiredDescription
idstringRequired
modelstringRequired
versionstringRequired
inputobjectRequired
  └ aspect_ratiostringRequired
  └ input_imagestringRequired
  └ output_formatstringRequired
  └ promptstringRequired
  └ prompt_upsamplingbooleanRequired
  └ safety_toleranceintegerRequired
logsstringRequired
outputnullRequired
data_removedbooleanRequired
errornullRequired
statusstringRequired
created_atstringRequired
urlsobjectRequired
  └ cancelstringRequired
  └ getstringRequired
  └ streamstringRequired
  └ webstringRequired

Response Example

json
{
    "id": "het8zf0rtnrm80crb5gaw4ecdw",
    "model": "google/imagen-4-ultra",
    "version": "hidden",
    "input": {
        "aspect_ratio": "16:9",
        "output_format": "jpg",
        "prompt": "The photo: Create a cinematic, photorealistic medium shot capturing the nostalgic warmth of a mid-2000s indie film. The focus is a young woman with a sleek, straight bob haircut in cool platinum white with freckled skin, looking directly and intently into the camera lens with a knowing smirk, her head is looking up slightly. She wears an oversized band t-shirt that says \"Imagen 4 Ultra on Replicate\" in huge stylized text over a long-sleeved striped top and simple silver stud earrings. The lighting is soft, golden hour sunlight creating lens flare and illuminating dust motes in the air. The background shows a blurred outdoor urban setting with graffiti-covered walls (the graffiti says \"ultra\" in stylized graffiti lettering), rendered with a shallow depth of field. Natural film grain, a warm, slightly muted color palette, and sharp focus on her expressive eyes enhance the intimate, authentic feel",
        "safety_filter_level": "block_only_high"
    },
    "logs": "",
    "output": null,
    "data_removed": false,
    "error": null,
    "status": "starting",
    "created_at": "2025-07-30T03:28:46.805Z",
    "urls": {
        "cancel": "https://api.replicate.com/v1/predictions/het8zf0rtnrm80crb5gaw4ecdw/cancel",
        "get": "https://api.replicate.com/v1/predictions/het8zf0rtnrm80crb5gaw4ecdw",
        "stream": "https://stream.replicate.com/v1/files/bcwr-l5a4j53wjt36wq6hvdr5vt5zu2fuzpe3gfvygtciezllg7og3lpq",
        "web": "https://replicate.com/p/het8zf0rtnrm80crb5gaw4ecdw"
    }
}